NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Properties | List of all members
NXOpen.Facet.DetectPrimitivesBuilder Class Reference

This class manages the primitive shape detection for a facet body. More...

Inheritance diagram for NXOpen.Facet.DetectPrimitivesBuilder:
NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Member Functions

unsafe void AdjustShapeBoundary ()
 Adjust shape detection result with selectivity angle More...
 
unsafe double[] GetBlendColor ()
 Returns the blend color More...
 
unsafe double[] GetConeColor ()
 Returns the cone color More...
 
unsafe double[] GetCylinderColor ()
 Returns the cylinder color More...
 
unsafe double[] GetOtherColor ()
 Returns Other type of color. More...
 
unsafe double[] GetPlaneColor ()
 Returns the plane color More...
 
unsafe double[] GetSphereColor ()
 Returns the sphere color More...
 
unsafe void SetBlendColor (double[] blendColor)
 Sets the blend color More...
 
unsafe void SetConeColor (double[] coneColor)
 Sets the cone color More...
 
unsafe void SetCylinderColor (double[] cylinderColor)
 Sets the cylinder color More...
 
unsafe void SetOtherColor (double[] otherColor)
 Sets the other color More...
 
unsafe void SetPlaneColor (double[] planeColor)
 Sets the plane color More...
 
unsafe void SetSphereColor (double[] sphereColor)
 Sets the sphere color More...
 
- Public Member Functions inherited from NXOpen.Builder
unsafe NXOpen.NXObject Commit ()
 Commits any edits that have been applied to the builder. More...
 
unsafe void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
unsafe NXOpen.NXObject[] GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
unsafe NXOpen.NXObject GetObject ()
 Returns the object currently being edited by this builder. More...
 
unsafe void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
unsafe bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen.TaggedObject
void PrintTestData (String variableName)
 <exclude> More...
 
void PrintTestData (String variableName, int lineNumber)
 <exclude> More...
 
override string ToString ()
 Returns a String that represents the current Object. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Properties

unsafe NXOpen.Expression BlendFactor [get]
 Returns the blend factor More...
 
unsafe int CurvatureSensitivity [get, set]
 Returns or sets the curvature sensitivity More...
 
unsafe
NXOpen.SelectDisplayableObjectList 
FacetSelection [get]
 Returns the facet selection. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

This class manages the primitive shape detection for a facet body.

To create a new instance of this class, use NXOpen.Facet.FacetModelingCollection.CreateDetectPrimitivesBuilder

Default values.

Property Value

CurvatureSensitivity

20

Created in NX10.0.0

Member Function Documentation

unsafe void NXOpen.Facet.DetectPrimitivesBuilder.AdjustShapeBoundary ( )
inline

Adjust shape detection result with selectivity angle

Created in NX10.0.0

License requirements: None.

unsafe double [] NXOpen.Facet.DetectPrimitivesBuilder.GetBlendColor ( )
inline

Returns the blend color

Created in NX10.0.0

License requirements: None.

Returns
Array of 3 RGB values, each between 0 and 1
unsafe double [] NXOpen.Facet.DetectPrimitivesBuilder.GetConeColor ( )
inline

Returns the cone color

Created in NX10.0.0

License requirements: None.

Returns
Array of 3 RGB values, each between 0 and 1
unsafe double [] NXOpen.Facet.DetectPrimitivesBuilder.GetCylinderColor ( )
inline

Returns the cylinder color

Created in NX10.0.0

License requirements: None.

Returns
Array of 3 RGB values, each between 0 and 1
unsafe double [] NXOpen.Facet.DetectPrimitivesBuilder.GetOtherColor ( )
inline

Returns Other type of color.

All non-primitive shapes are classfied as Other type

Created in NX10.0.0

License requirements: None.

Returns
Array of 3 RGB values, each between 0 and 1
unsafe double [] NXOpen.Facet.DetectPrimitivesBuilder.GetPlaneColor ( )
inline

Returns the plane color

Created in NX10.0.0

License requirements: None.

Returns
Array of 3 RGB values, each between 0 and 1
unsafe double [] NXOpen.Facet.DetectPrimitivesBuilder.GetSphereColor ( )
inline

Returns the sphere color

Created in NX10.0.0

License requirements: None.

Returns
Array of 3 RGB values, each between 0 and 1
unsafe void NXOpen.Facet.DetectPrimitivesBuilder.SetBlendColor ( double[]  blendColor)
inline

Sets the blend color

Created in NX10.0.0

License requirements: None.

Parameters
blendColorArray of 3 RGB values, each between 0 and 1
unsafe void NXOpen.Facet.DetectPrimitivesBuilder.SetConeColor ( double[]  coneColor)
inline

Sets the cone color

Created in NX10.0.0

License requirements: None.

Parameters
coneColorArray of 3 RGB values, each between 0 and 1
unsafe void NXOpen.Facet.DetectPrimitivesBuilder.SetCylinderColor ( double[]  cylinderColor)
inline

Sets the cylinder color

Created in NX10.0.0

License requirements: None.

Parameters
cylinderColorArray of 3 RGB values, each between 0 and 1
unsafe void NXOpen.Facet.DetectPrimitivesBuilder.SetOtherColor ( double[]  otherColor)
inline

Sets the other color

Created in NX10.0.0

License requirements: None.

Parameters
otherColorArray of 3 RGB values, each between 0 and 1
unsafe void NXOpen.Facet.DetectPrimitivesBuilder.SetPlaneColor ( double[]  planeColor)
inline

Sets the plane color

Created in NX10.0.0

License requirements: None.

Parameters
planeColorArray of 3 RGB values, each between 0 and 1
unsafe void NXOpen.Facet.DetectPrimitivesBuilder.SetSphereColor ( double[]  sphereColor)
inline

Sets the sphere color

Created in NX10.0.0

License requirements: None.

Parameters
sphereColorArray of 3 RGB values, each between 0 and 1

Property Documentation

unsafe NXOpen.Expression NXOpen.Facet.DetectPrimitivesBuilder.BlendFactor
get

Returns the blend factor

Created in NX10.0.0

License requirements: None.

unsafe int NXOpen.Facet.DetectPrimitivesBuilder.CurvatureSensitivity
getset

Returns or sets the curvature sensitivity

Created in NX10.0.0

License requirements to get this property: None.

License requirements to set this property: None.

unsafe NXOpen.SelectDisplayableObjectList NXOpen.Facet.DetectPrimitivesBuilder.FacetSelection
get

Returns the facet selection.

Inputs to this command can be convergent objects.

Created in NX10.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.